UM Extensions update failed / not able to update automatically

Update failure could sometimes be due to host blocking it or other technical reason with hosting. However, if you are constantly receiving plugin/extension update failed error, you will need to download the latest versions again.  

The fixes are included in the latest versions but they need to be manually downloaded from our site as the old EDD (the plugin we use to sell our extensions) library had issues.

You can download them from your account page:  https://ultimatemember.com/account/

Note: If in case you already have the same version on your site, kindly download it again as we have updated the latest version on our repository.